Subject: Re: Bug#1019724: warning: stray \ before - causes autopkgtest failure

From: Santiago Ruano Rincón <[email-masked]>
Date: Mon, 19 Sep 2022 14:32:11 +0200

El 18/09/22 a las 07:57, Lucas Nussbaum escribió:
> Hi,
> 
> On 16/09/22 at 21:35 +0200, Paul Gevers wrote:
> > Hi Santiago,
> > 
> > On 15-09-2022 09:26, Paul Gevers wrote:
> > > I am trying to schedule autopkgtests in unstable on amd64 for all source
> > > packages that have one.
> > 
> > All results are now in. Only several test failed due this warning: the known
> > dpkg and cjet and the newly found nagios-plugins-contrib, logcheck and
> > xautolock (see links below).
> > 
> > > Lucas, are you in the position to do an archive rebuild to check for the
> > > grep warnings (see full history at [1]). When you submit bugs, can you
> > > please file them as important, as apparently upstream wants to turn
> > > these warnings into failures in the future, but in Debian Santiago is
> > > going to silence the warning soon, so FTBFS due to this isn't an RC
> > > problem on the short term.
> > > 
> > > Santiago, please keep the grep with warning in unstable until either all
> > > tests are finished or we abort this plan.
> > 
> > To be honest, without bug 1019326 in ucf and bug 1019725 in libtool fixed,
> > I'm not sure how much value an archive rebuild would be at this stage.
> > 
> > So I think it would be good to silence the warning now in Debian. As
> > discussed before, ideally with a way to turn it on (or make it error) such
> > that we can do archive wide QA before the behavior is changed to error out
> > upstream. I can understand it if you want to wait with deploying that
> > optional behavior until upstream has implemented it.

Dear grep developers,

Just to say that I am also in favor to *temporarily* silence the stray-\
warnings. In the Debian context, the most problematic are the failing
autopkgtests, since they could block the transition of a package from
unstable to testing. Even if there are a few packages, as listed above
(including dpkg), that currently have a failing test due to the stray-\
warning, it would be great to avoid new autopkgtests fails due to that.

Also, as you can read below, there are 4235 packages including the
warning in their build logs. Funnily, grep is also in the list :-)

> I did an archive rebuild (not specifically for this). Grepping the logs,
> the following 4235 packages exhibit the warning.
> 
[snip]
> gregwar-captcha grep gretl gri grisbi groff gromacs groonga grub2 grub
[snip]

You can find the warnings in e.g. the last amd64 3.8-2 build:
https://buildd.debian.org/status/fetch.php?pkg=grep&arch=amd64&ver=3.8-2&stamp=1662998047&raw=0

(Thanks Lucas for running the archive rebuild!)

Hopefully, these are "just warnings" for now. I do agree the erroneous
patterns should be fixed, but I would prefer if we could have a smoother
transition before they result in grep errors.
As proposed by Paul Gevers, could you please consider silencing the
stray-\ warning for now, and adding a mechanism (envvar or option, as
you prefer) to enable them?

Cheers,

 -- S